Bug 620624 - 1 package and 8 file conflicts found
Summary: 1 package and 8 file conflicts found
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
(Show other bugs)
Version: 14
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Lennart Poettering
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-03 03:01 UTC by MingtaoNiu
Modified: 2010-08-06 11:01 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-06 11:01:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
error info when checking file conflicts (55.46 KB, image/png)
2010-08-03 03:01 UTC, MingtaoNiu
no flags Details

Description MingtaoNiu 2010-08-03 03:01:57 UTC
Created attachment 436181 [details]
error info when checking file conflicts

Description of problem:
When checking file conflicts by running script, 1 package and 8 file conflicts
were found

Version-Release number of selected component (if applicable):

14-alpha-tc1-i386-DVD.iso

How reproducible:
100%

Steps to Reproduce:
1.Mount the ISO
2.Download the potential_conflict.py  script. 
3.Check for file conflicts by running the script

Actual results:
8 file conflicts found.
1 package conflicts found.

== Package conflicts ==
systemd-sysvinit-4-4.fc14.i686
upstart-sysvinit-0.6.5-7.fc14.i686


== File conflicts, listed by conflicting packages ==
man-db-2.5.7-2.fc14.i686
man-pages-de-0.5-3.fc12.noarch
  /usr/share/man/de/man1/manpath.1.gz
  /usr/share/man/de/man1/zsoelim.1.gz
  /usr/share/man/de/man5/manpath.5.gz
  /usr/share/man/de/man8/catman.8.gz
  /usr/share/man/de/man8/mandb.8.gz

2:postfix-2.7.1-1.fc14.i686
sendmail-8.14.4-9.fc14.i686
ssmtp-2.61-15.fc14.i686
  /usr/share/man/man1/newaliases.1.gz
  /usr/share/man/man8/sendmail.8.gz

2:postfix-2.7.1-1.fc14.i686
exim-4.71-4.fc14.i686
sendmail-8.14.4-9.fc14.i686
ssmtp-2.61-15.fc14.i686
  /usr/share/man/man1/mailq.1.gz


Expected results:
   1.  The potential_conflict.py script completes successfully
   2. No package or file conflicts were detected for packages included in the
media kit 

Additional info:

Comment 1 Felix Möller 2010-08-03 06:47:43 UTC
This is a dupe of bug #583731 for the first part.

Comment 2 Paul W. Frields 2010-08-03 19:36:34 UTC
This bug may not be getting the visibility it needs because it's combining too many bugs in different packages.  In the future we should register a bug like this to 'distribution', for example, or even better, split it into many bugs so the maintainers of the packages in question know what's wrong.

I'm going to split out these bugs for that purpose unless someone has a better idea.

Comment 3 Paul W. Frields 2010-08-03 19:38:10 UTC
Oh wait, I see that probably the only really relevant section may be the systemd/upstart conflict bug.  I confused this bug with #620623 which I'm also looking at right now.

Comment 4 Lennart Poettering 2010-08-04 00:11:44 UTC
What is this bug about? So we have a conflict? But what is so buggy about this?

Comment 5 Lennart Poettering 2010-08-04 01:43:55 UTC
And why is this release critical?

Comment 6 Jens Petersen 2010-08-04 02:08:14 UTC
Agreed and removing F14alpha.

Please refer to http://fedoraproject.org/wiki/Fedora_14_Alpha_Release_Criteria
when adding a bug to the blocker.

Comment 7 Jens Petersen 2010-08-04 02:31:50 UTC
(In reply to comment #0)
> == Package conflicts ==
> systemd-sysvinit-4-4.fc14.i686
> upstart-sysvinit-0.6.5-7.fc14.i686

Intentional

> == File conflicts, listed by conflicting packages ==
> man-db-2.5.7-2.fc14.i686
> man-pages-de-0.5-3.fc12.noarch
>   /usr/share/man/de/man1/manpath.1.gz
>   /usr/share/man/de/man1/zsoelim.1.gz
>   /usr/share/man/de/man5/manpath.5.gz
>   /usr/share/man/de/man8/catman.8.gz
>   /usr/share/man/de/man8/mandb.8.gz

Needs work but not an alpha blocker IMHO.

> 2:postfix-2.7.1-1.fc14.i686
> sendmail-8.14.4-9.fc14.i686
> ssmtp-2.61-15.fc14.i686
>   /usr/share/man/man1/newaliases.1.gz
>   /usr/share/man/man8/sendmail.8.gz
> 2:postfix-2.7.1-1.fc14.i686
> exim-4.71-4.fc14.i686
> sendmail-8.14.4-9.fc14.i686
> ssmtp-2.61-15.fc14.i686
>   /usr/share/man/man1/mailq.1.gz

Intentional I suppose.

So this is a duplicate of bug 583731.

*** This bug has been marked as a duplicate of bug 583731 ***

Comment 8 He Rui 2010-08-06 10:29:12 UTC
Still 1 package conflicts found in F14-alpha-rc1-i386-DVD.iso

== Package conflicts ==
systemd-sysvinit-5-2.fc14.i686
upstart-sysvinit-0.6.5-7.fc14.i686

Comment 9 Lennart Poettering 2010-08-06 11:01:31 UTC
Closing.


Note You need to log in before you can comment on or make changes to this bug.